## devices
 - video
    - in a video stream, take out a picture every five seconds, and break this picture into colors, and there will be a flow of data, these colors can be linked in a relationship map to the view
 - music streams
   - sound waves, array or stream of numbers, samples
 - radio streams
 - rtsp video
 - data from smart home devices
 - any application with websockets
 - real-time web applications
 - display audio recordings from the archive as graphs
 - digital audio and video are only forty years old, a futuristic, unexplored technology
 - online publications, sentiment analysis
 - blockchain
 - clock
   - time is separate from ticks
   - map clock to modulo base 12
 - social media platforms
 - iot 
 - midi

